%define cvs_date _003_20050530

Name: ecore
Version: 0.9.9
Release: alt0.1%cvs_date
Serial: 1

Summary: Enlightened Core X interface library
License: BSD
Group: System/Libraries
Url: http://www.enlightenment.org
Source: %name-%version%cvs_date.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Mar 29 2005
BuildRequires: fontconfig freetype2 gcc-c++ glib2 hostinfo libeet-devel libevas-devel libjpeg-devel libssl-devel libstdc++-devel nvidia_glx_common pkgconfig xorg-x11-devel xorg-x11-libs xorg-x11-mesaGL zlib-devel

%description
Ecore is a nice convenience library. It handles abstracting X calls so
you don't have to pass as many parameters to them. It wraps lots of
other sequences of X calls you want to do often, handles caching local
geometry of windows to save extra X traffic, abstracts X's events and
adds a timer system to be able to do timeouts, handles the core event
loops, abstracts signals into being events in the event queue, and lets
you arbitrarily add other file descriptors to the loop to listen on and
have handlers be called when they become active, and much much more.
Ecore also handles filtering events and calling idle handlers when
appropriate. Ecore is just what it says - a very complex CORE subsystem.
It is all callback based, and keeps everything abstracted - but does not
move away from normal X11 primitives like other abstractions (GDK for
example), thus keeping 100% compatibility with normal Xlib stuff. The
core innards of E17 rely heavily on Ecore and its ability to not just
work, but work well and optimize silently for E17.

%package -n lib%name
Summary: Enlightened Core X interface library
Group: System/Libraries

%description -n lib%name
Ecore is a nice convenience library. It handles abstracting X calls so
you don't have to pass as many parameters to them. It wraps lots of
other sequences of X calls you want to do often, handles caching local
geometry of windows to save extra X traffic, abstracts X's events and
adds a timer system to be able to do timeouts, handles the core event
loops, abstracts signals into being events in the event queue, and lets
you arbitrarily add other file descriptors to the loop to listen on and
have handlers be called when they become active, and much much more.
Ecore also handles filtering events and calling idle handlers when
appropriate. Ecore is just what it says - a very complex CORE subsystem.
It is all callback based, and keeps everything abstracted - but does not
move away from normal X11 primitives like other abstractions (GDK for
example), thus keeping 100% compatibility with normal Xlib stuff. The
core innards of E17 rely heavily on Ecore and its ability to not just
work, but work well and optimize silently for E17.

This package contains shared Ecore library.

%package -n lib%name-devel
Summary: Ecore headers and development libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains Ecore headers and development libraries

%package -n lib%name-devel-static
Summary: Ecore static libraries.
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains Ecore static libraries.

%package -n %name-test
Summary: Ecore test programs
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n %name-test
This package contains test programs from Ecore distribution.

%prep
%setup -q -n %name

%build
%if "%cvs_date" != "%nil"
%__libtoolize --copy --force
%__aclocal -I m4
%__autoheader
%__automake --foreign --add-missing
%__autoconf
%endif

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/libecore*.so*
%_libdir/ecore_config*.so
%_datadir/%name/
%doc AUTHORS COPYING README

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*
%_libdir/pkgconfig/ecore.pc
#_libdir/*.la
%_datadir/aclocal/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n %name-test
%_bindir/*
%exclude %_bindir/*-config

%changelog
* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 1:0.9.9-alt0.1_003_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 1:0.9.9-alt0.1_003_20050329
- updated from cvs.
- added serial due to version downgrade
- added local m4 to aclocal path

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre7_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre7_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre7_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 1.0.0-alt0.1_pre7_20041022
- updated from cvs.
- add ecore-test packadge
- spec cleaning
- don't build libecore-devel-static by default

* Fri Jun 13 2003 Alex Murygin <murygin@altlinux.ru> 0.0.3-alt0.1_20030613
- Updated from cvs.

* Sat Mar 15 2003 Alex Murygin <murygin@altlinux.ru> 0.0.3-alt0.1_20030315
- Updated from cvs.

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.0.2-alt0.1_20021123
- Built from cvs.

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.0.2-alt1
- First build for Sisyphus.

